This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 677774 - DS fails to start after reboot
DS fails to start after reboot
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: 389-ds-base (Show other bugs)
19
Unspecified Unspecified
urgent Severity urgent
: ---
: ---
Assigned To: Rich Megginson
Fedora Extras Quality Assurance
: screened
Depends On:
Blocks: 389_1.2.8
  Show dependency treegraph
 
Reported: 2011-02-15 15:09 EST by Simo Sorce
Modified: 2014-10-30 14:41 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-30 14:41:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
0001-Bug-677774-DS-fails-to-start-after-reboot.patch (852.40 KB, patch)
2011-02-18 11:34 EST, Rich Megginson
nkinder: review+
Details | Diff

  None (edit)
Description Simo Sorce 2011-02-15 15:09:06 EST
Due to: https://fedoraproject.org/wiki/Features/var-run-tmpfs

the /var/lock/dirsrv is removed at reboot

missing the /var/lock/dirsrv/slapd-INSTANCE-NAME directory with the right ownership and selinux context the startup scripts fails to create the lock file and dirsrv aborts.
Comment 1 Rich Megginson 2011-02-15 15:12:02 EST
Affects fedora 15 and rawhide
Comment 3 Rich Megginson 2011-02-18 11:34:38 EST
Created attachment 479564 [details]
0001-Bug-677774-DS-fails-to-start-after-reboot.patch
Comment 4 Rich Megginson 2011-02-18 12:53:49 EST
To ssh://git.fedorahosted.org/git/389/ds.git
   da14d3c..1b5ff01  master -> master
commit 1b5ff01a852ba28814cb4d3481d4e12642db8e85
Author: Rich Megginson <rmeggins@redhat.com>
Date:   Wed Feb 16 15:20:35 2011 -0700
    Reviewed by: nkinder (Thanks!)
    Branch: master
    Fix Description: Added a new configure switch --with-tmpfiles-d - this is the
    path to the tmpfiles.d directory.  If this is set, ds create/update/migration
    will create the appropriate instance specific tmpfiles.d file.
    Platforms tested: Fedora 15 x86_64
    Flag Day: no
    Doc impact: no
To ssh://git.fedorahosted.org/git/389/ds.git
   7205ca0..171691c  389-ds-base-1.2.8 -> 389-ds-base-1.2.8
commit 171691cb65425d9c6fe3799c5940fbc335346b4d
Author: Rich Megginson <rmeggins@redhat.com>
Date:   Wed Feb 16 15:20:35 2011 -0700
Comment 5 Fedora Update System 2011-02-23 21:42:09 EST
389-ds-base-1.2.8-0.3.a3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/389-ds-base-1.2.8-0.3.a3.fc15
Comment 6 Fedora Update System 2011-02-23 21:47:59 EST
389-ds-base-1.2.8-0.3.a3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/389-ds-base-1.2.8-0.3.a3.fc14
Comment 7 Fedora Update System 2011-02-23 21:51:07 EST
389-ds-base-1.2.8-0.3.a3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/389-ds-base-1.2.8-0.3.a3.fc13
Comment 8 Fedora Update System 2011-02-23 21:54:11 EST
389-ds-base-1.2.8-0.3.a3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/389-ds-base-1.2.8-0.3.a3.el5
Comment 9 Fedora End Of Life 2013-04-03 16:32:04 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 10 Michael J. Ayers 2013-08-10 16:36:58 EDT
This bug is still apparent in the current release of Fedora (19).

I tested and verified this today on a completely clean system with a brand new install.
Comment 11 Rich Megginson 2013-08-12 13:23:24 EDT
(In reply to Michael J. Ayers from comment #10)
> This bug is still apparent in the current release of Fedora (19).
> 
> I tested and verified this today on a completely clean system with a brand
> new install.

I just tried this on a clean, up-to-date F-19 x86_64 VM system.

1) yum install 389-ds-base
2) setup-ds.pl
3) following the directions at http://port389.org/wiki/Howto:systemd#How_do_I_make_it_start_at_boot_time.3F

systemctl start dirsrv.target

4) reboot
5) ps -ef|grep slapd

the process is running

Note You need to log in before you can comment on or make changes to this bug.